Bug 810930 - Fedora 17 version of crash can not read open files from the Fedora 17 vmcore
Fedora 17 version of crash can not read open files from the Fedora 17 vmcore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
17
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 12:47 EDT by Niels de Vos
Modified: 2012-04-18 19:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: crash-6.0.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 19:10:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2012-04-09 12:47:32 EDT
Description of problem:
The version of crash available in Fedora 17 can not read the open files from a vmcore of a Fedora 17 installation. Upgrading crash to the Rawhide version works.

Please update crash in Fedora 17 to a newer release.


Version-Release number of selected component (if applicable):
crash-6.0.2-1.fc17

How reproducible:
100%

Steps to Reproduce:
1. install Fedora 17
2. configure kdump and reboot
3. create a vmcore with 'echo c > /proc/sysrq-trigger'
4. install the kernel-debuginfo
5. execute 'crash /var/crash/*/vmcore /usr/lib/debug/lib/modules/*/vmlinux
6. on the crash commandline 'files 1'

Actual results:
PID: 1      TASK: ffff88003da40000  CPU: 0   COMMAND: "systemd"
files: invalid structure member offset: dentry_d_covers
       FILE: filesys.c  LINE: 2854  FUNCTION: get_pathname()


Expected results:
PID: 1      TASK: ffff88003da40000  CPU: 0   COMMAND: "systemd"
ROOT: /    CWD: /
 FD       FILE            DENTRY           INODE       TYPE PATH
  0 ffff88003d7cf800 ffff88003df0be40 ffff88003da72a50 CHR  /dev/null
  1 ffff88003d7cf800 ffff88003df0be40 ffff88003da72a50 CHR  /dev/null
  2 ffff88003d7cf800 ffff88003df0be40 ffff88003da72a50 CHR  /dev/null
  3 ffff88003d7cf500 ffff88003df0c300 ffff88003da73950 CHR  /dev/kmsg
  4 ffff880036e1c700 ffff88003dfcd540 ffff88003df5eaf0 UNKN [eventpoll]
  5 ffff880036e1c600 ffff88003dfcccc0 ffff88003df5eaf0 UNKN [signalfd]
  6 ffff88003a7f0700 ffff88003dfcca80 ffff88003dfdbc70 DIR  /sys/fs/cgroup/systemd/system
  7 ffff88003a7f0600 ffff88003b8b2900 ffff88003ba1e2b0 SOCK 
  8 ffff88003a7f0500 ffff88003b8b0b40 ffff88003ba1e030 SOCK 
  9 ffff88003a7f0300 ffff88003b8b1b40 ffff88003ba1e530 SOCK 
 10 ffff88003ca32c00 ffff88003dfecb40 ffff88003ba1e7b0 SOCK 
 11 ffff88003ca32200 ffff88003dfecf00 ffff88003b8f8790 REG  /proc/1/mountinfo
 12 ffff88003ca32f00 ffff88003dfeacc0 ffff88003b8f93c0 REG  /proc/swaps
 13 ffff880036d9e600 ffff88003bb85780 ffff88003df5eaf0 UNKN inotify
 14 ffff880036c9b300 ffff88003bb85180 ffff88003df5eaf0 UNKN inotify
 15 ffff880036f0c500 ffff88003dfef000 ffff88003df5eaf0 UNKN [timerfd]
 16 ffff880036c9bf00 ffff88003dff5240 ffff88003bba0530 SOCK 
 17 ffff880036e1c100 ffff88003dfedc00 ffff88003ba1ea30 SOCK 
 18 ffff880037338d00 ffff88003dfed900 ffff88003b9afbb0 SOCK 
 19 ffff8800371f3100 ffff88003dff1240 ffff8800366a1bd0 FIFO /dev/initctl
 20 ffff88003a77b600 ffff88003dff2b40 ffff88003ba1ecb0 SOCK 
 21 ffff88003a77bc00 ffff88003b875c00 ffff88003d7dca50 CHR  /dev/autofs
 22 ffff88003a77b500 ffff88003dff2d80 ffff88003ba9dc70 FIFO 
 23 ffff880036c9f400 ffff88003dfef540 ffff88003ba1ef30 SOCK 
 24 ffff88003a77b100 ffff88003dff16c0 ffff88003ba1f1b0 SOCK 
 25 ffff88003a77b200 ffff88003dff3300 ffff88003ba1f430 SOCK 
 26 ffff8800371f3800 ffff88003dff39c0 ffff88003ba1f6b0 SOCK 
 27 ffff88003d029000 ffff88003dff3b40 ffff88003ba1f930 SOCK 
 28 ffff88003d029a00 ffff88003dff1600 ffff88003652e7d0 FIFO /run/dmeventd-server
 29 ffff8800371f3b00 ffff88003dff3f00 ffff88003652fbd0 FIFO /run/dmeventd-client
 30 ffff880036622700 ffff88003c028a80 ffff88003df5eaf0 UNKN [timerfd]
 31 ffff880037338d00 ffff88003dfed900 ffff88003b9afbb0 SOCK 
 32 ffff880036622800 ffff88003c02e780 ffff88003c042f30 SOCK 
 33 ffff880036622800 ffff88003c02e780 ffff88003c042f30 SOCK 
 34 ffff88003abe4d00 ffff88003c02e240 ffff88003df5eaf0 UNKN [timerfd]
 36 ffff880036d68700 ffff88003dfe3300 ffff88003ba1cf30 SOCK 

Additional info:
crash-6.0.5-1 works like a charm.
Comment 1 Fedora Update System 2012-04-11 14:26:43 EDT
crash-6.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/crash-6.0.5-1.fc17
Comment 2 Niels de Vos 2012-04-11 15:14:49 EDT
Thanks! Tested the package from Koji and can confirm it's working fine.
Comment 3 Fedora Update System 2012-04-11 21:09:39 EDT
crash-6.0.5-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 4 Fedora Update System 2012-04-18 19:10:16 EDT
crash-6.0.5-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.